Skip to content
Start here

Applications

List applications
GET/accounts/{account_id}/one/applications
Get application details
GET/accounts/{account_id}/one/applications/{application_id}
ModelsExpand Collapse
ApplicationListResponse object { id, auth_methods, category, 7 more }

Application item in list response.

id: "ANTHROPIC" or "AWS" or "BITBUCKET" or 12 more

Vendor identifier (e.g. microsoft_internal, google_workspace).

  • ANTHROPIC - ANTHROPIC
  • AWS - AWS
  • BITBUCKET - BITBUCKET
  • BOX - BOX
  • CONFLUENCE - CONFLUENCE
  • DROPBOX - DROPBOX
  • GITHUB - GITHUB
  • GOOGLE_CLOUD_PLATFORM - GOOGLE_CLOUD_PLATFORM
  • GOOGLE_WORKSPACE - GOOGLE_WORKSPACE
  • JIRA - JIRA
  • MICROSOFT_INTERNAL - MICROSOFT_INTERNAL
  • OPENAI - OPENAI
  • SALESFORCE - SALESFORCE
  • SERVICENOW - SERVICENOW
  • SLACK - SLACK
One of the following:
"ANTHROPIC"
"AWS"
"BITBUCKET"
"BOX"
"CONFLUENCE"
"DROPBOX"
"GITHUB"
"GOOGLE_CLOUD_PLATFORM"
"GOOGLE_WORKSPACE"
"JIRA"
"MICROSOFT_INTERNAL"
"OPENAI"
"SALESFORCE"
"SERVICENOW"
"SLACK"
auth_methods: array of object { id, display_name }

Available auth methods.

id: string

Auth method identifier.

display_name: string

Human-readable auth method name.

category: string

Vendor category (e.g. Productivity, AI).

description: string

Brief description of the integration.

display_name: string

Human-readable vendor name.

dlp_enabled: boolean

Whether DLP scanning is supported.

permissions: array of object { display_name, scope, severity }

All permissions with severity.

display_name: string

Human-readable permission name.

scope: string

Vendor-native scope identifier.

severity: "low" or "medium" or "high" or "critical"

Permission sensitivity level.

  • low - low
  • medium - medium
  • high - high
  • critical - critical
One of the following:
"low"
"medium"
"high"
"critical"
supported_environments: array of string

Environments this vendor supports (standard, fedramp).

use_cases: array of object { id, display_name }

Supported use cases.

id: string

Use case identifier (e.g. casb, ces).

display_name: string

Human-readable use case name.

ApplicationGetResponse object { id, auth_methods, category, 6 more }

The requested item.

id: "ANTHROPIC" or "AWS" or "BITBUCKET" or 12 more

Vendor identifier.

  • ANTHROPIC - ANTHROPIC
  • AWS - AWS
  • BITBUCKET - BITBUCKET
  • BOX - BOX
  • CONFLUENCE - CONFLUENCE
  • DROPBOX - DROPBOX
  • GITHUB - GITHUB
  • GOOGLE_CLOUD_PLATFORM - GOOGLE_CLOUD_PLATFORM
  • GOOGLE_WORKSPACE - GOOGLE_WORKSPACE
  • JIRA - JIRA
  • MICROSOFT_INTERNAL - MICROSOFT_INTERNAL
  • OPENAI - OPENAI
  • SALESFORCE - SALESFORCE
  • SERVICENOW - SERVICENOW
  • SLACK - SLACK
One of the following:
"ANTHROPIC"
"AWS"
"BITBUCKET"
"BOX"
"CONFLUENCE"
"DROPBOX"
"GITHUB"
"GOOGLE_CLOUD_PLATFORM"
"GOOGLE_WORKSPACE"
"JIRA"
"MICROSOFT_INTERNAL"
"OPENAI"
"SALESFORCE"
"SERVICENOW"
"SLACK"
auth_methods: array of object { id, display_name, is_default, supported_environments }

Available authentication methods.

id: string

Auth method identifier.

display_name: string

Human-readable auth method name.

is_default: boolean

Whether this is the default auth method.

supported_environments: array of string

Environments this auth method supports.

category: string

Vendor category.

description: string

Brief description.

display_name: string

Human-readable vendor name.

dlp_enabled: boolean

Whether DLP scanning is supported.

instructions: string

Setup instructions for the user.

use_cases: array of object { id, base_scopes, description, 2 more }

Use cases with full scope details.

id: string

Use case identifier.

base_scopes: array of object { display_name, scope, severity }

Scopes always required for this use case.

display_name: string

Human-readable permission name.

scope: string

Vendor-native scope identifier.

severity: "low" or "medium" or "high" or "critical"

Permission sensitivity level.

  • low - low
  • medium - medium
  • high - high
  • critical - critical
One of the following:
"low"
"medium"
"high"
"critical"
description: string

Use case description.

display_name: string

Human-readable use case name.

features: array of object { id, description, display_name, scopes }

Optional features with extra scopes.

id: string

Feature identifier.

description: string

Feature description.

display_name: string

Human-readable feature name.

scopes: array of object { display_name, scope, severity }

Additional scopes when feature is enabled.

display_name: string

Human-readable permission name.

scope: string

Vendor-native scope identifier.

severity: "low" or "medium" or "high" or "critical"

Permission sensitivity level.

  • low - low
  • medium - medium
  • high - high
  • critical - critical
One of the following:
"low"
"medium"
"high"
"critical"

ApplicationsAuth Methods

Get auth methods
GET/accounts/{account_id}/one/applications/{application_id}/auth-methods
ModelsExpand Collapse
AuthMethodListResponse object { id, display_name, human_interaction_required, 4 more }

Detailed auth method info including credentials schema and instructions.

id: string

Auth method identifier.

display_name: string

Human-readable auth method name.

human_interaction_required: boolean

Whether setup requires human interaction or integration can be created purely using API (e.g., For OAuth can not be created without user interaction).

instructions: object { markdown }

Step-by-step instructions for obtaining credentials.

markdown: string

Detailed instructions in markdown format.

payload_example: map[unknown]

Example credentials payload with placeholder values.

payload_schema: map[unknown]

JSON Schema for the credentials object in POST /v2/integrations request.

redirect_url: string

OAuth redirect URL for vendors requiring human interaction.